INSMOD(8)

NAZWA

insmod - prosty program do dodawania modułów do jądra Linux

SKŁADNIA

insmod [OPCJE] [nazwa-pliku] [opcje modułu]

OPIS

insmod jest trywialnym programem do dodawania modułu do jądra. Większość użytkowników będzie wolała użyć w zamian modprobe(8), które jest znacznie sprytniejsze i potrafi obsłużyć zależności między modułami.

Zgłaszane są tylko najogólniejsze błędy: ponieważ próba zlinkowania modułu jest obecnie wykonywana wewnątrz jądra, dmesg(1) daje z reguły więcej informacji na temat błędów.

OPCJE

-f, --force
    Opcja ta może być niezwykle niebezpieczna: przy ładowaniu modułu nakazuje jądru zignorować pola wersji modułu i magii wersji (vermagic). Dzięki tej opcji można załadować moduły zbudowane lokalnie lub pochodzące od zewnętrznych dostawców, jednak może to spowodować uszkodzenie danych w pamięci, załamania systemu oraz utratę danych.

-s, --syslog
    Wysyła błędy do sysloga, zamiast na standardowe wyjście błędów.

-v, --verbose
    Wypisuje informacje o czynnościach wykonywanych przez program. insmod wypisuje zwykle komunikaty jedynie, gdy występują jakieś problemy.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla komunikat pomocy i wychodzi.

PRAWA AUTORSKIE

Pierwotnie: Copyright 2002, Rusty Russell, IBM Corporation.

ZOBACZ TAKŻE

modprobe(8), rmmod(8), lsmod(8), modinfo(8), depmod(8)

USTERKI

Zgłoszeń błędów prosimy dokonywać w systemie śledzenia błędów pod adresem https://github.com/kmod-project/kmod/issues/, wraz z informacją o wersji programu, krokach potrzebnych do odtworzenia problemu oraz oczekiwanym rezultacie.

AUTORZY

Wielu współautorów pochodzi z listy dyskusyjnej linux-modules pod adresem <linux-modules@vger.kernel.org> oraz z Githuba. Mając sklonowane repozytorium kmod.git, wynik polecenia git-shortlog(1) i git-blame(1) ukaże autorów danej części projektu.

Projektem opiekuje się aktualnie Lucas De Marchi <lucas.de.marchi@gmail.com>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.